<?php

namespace Modules\Rate\Interfaces;

use Modules\Rate\Models\Rate;

interface RateRepositoryInterface
{
    public function get(array $request);
    public function getItem(int $id);
    public function checkItem(int $id);
    public function create(array $request): Rate;
    public function update(array $request, Rate $rate): Rate;
    public function destroy(Rate $rate): void;
    public function destroyAll(array $ids): void;
    public function restore(Rate $rate): void;
    public function restoreAll(array $ids): void;
}
